<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:47 CET 2016 -->
<title>OBMessageBar (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OBMessageBar (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBParameterWindow.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html" target="_top">Frames</a></li>
<li><a href="OBMessageBar.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.client.application.gui</div>
<h2 title="Class OBMessageBar" class="title">Class OBMessageBar</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.client.application.gui.OBMessageBar</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OBMessageBar</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></pre>
<div class="block">Executes actions on OpenbravoERP message bar built upon SmartClient user interface library.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#FORMAT_SMART_CLIENT_GET_LOCATOR">FORMAT_SMART_CLIENT_GET_LOCATOR</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#objectString">objectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientLocator">smartClientLocator</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#OBMessageBar-java.lang.String-">OBMessageBar</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#OBMessageBar-java.lang.String-java.lang.Boolean-">OBMessageBar</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString,
            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertErrorMessage-java.lang.String-">assertErrorMessage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert an error message.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertInfoMessage-java.lang.String-">assertInfoMessage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert an info message.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertNotVisible--">assertNotVisible</a></span>()</code>
<div class="block">Assert that the message bar is not visible.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertProcessCompletedSuccessfully--">assertProcessCompletedSuccessfully</a></span>()</code>
<div class="block">Assert the process completed successfully message.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertProcessCompletedSuccessfully-java.lang.String-">assertProcessCompletedSuccessfully</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert the process completed successfully message.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertProcessCompletedSuccessfully2--">assertProcessCompletedSuccessfully2</a></span>()</code>
<div class="block">Assert the process completed successfully message.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertProcessCompletedSuccessfully2-java.lang.String-">assertProcessCompletedSuccessfully2</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert the process completed successfully message.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertProcessCompletedSuccessfullyContentMatch-java.lang.String-">assertProcessCompletedSuccessfullyContentMatch</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert the process completed successfully message, using regular expression to match the body.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertVisible--">assertVisible</a></span>()</code>
<div class="block">Assert that the message bar is visible.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#assertWarningMessage-java.lang.String-">assertWarningMessage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert a warning message.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#close--">close</a></span>()</code>
<div class="block">Close the message bar.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#getContents--">getContents</a></span>()</code>
<div class="block">Get the contents of the message bar.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#isErrorMessageVisible--">isErrorMessageVisible</a></span>()</code>
<div class="block">Check if the error message is visible.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html#isWarningMessageVisible--">isWarningMessageVisible</a></span>()</code>
<div class="block">Check if the warning message is visible.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#cleanSmartClientLocator-java.lang.String-">cleanSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#click--">click</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#focus--">focus</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getAttribute-com.openbravo.test.integration.selenium.Attribute-">getAttribute</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getInformationForLog--">getInformationForLog</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getObjectString--">getObjectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getSmartClientLocator--">getSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getText--">getText</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getTitle--">getTitle</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#hideMenuClick--">hideMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabled--">isEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabledSmartClient--">isEnabledSmartClient</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isFocused--">isFocused</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isPresent--">isPresent</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isVisible--">isVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressDelete--">pressDelete</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressEnter--">pressEnter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressTab--">pressTab</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToBottom--">scrollToBottom</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToTop--">scrollToTop</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#showMenuClick--">showMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientBlur--">smartClientBlur</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientClick--">smartClientClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientSetValue-java.lang.String-">smartClientSetValue</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#virtualClick--">virtualClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilEnabled--">waitUntilEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilLoaded--">waitUntilLoaded</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilNotVisible--">waitUntilNotVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilVisible--">waitUntilVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OBMessageBar-java.lang.String-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OBMessageBar</h4>
<pre>public&nbsp;OBMessageBar(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - JavaScript expression that can be evaluated to get a reference to the SmartClient GUI
          object.</dd>
<dd><code>waitForLoad</code> - Boolean to determine if the system should wait the object be ready to continue.</dd>
</dl>
</li>
</ul>
<a name="OBMessageBar-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OBMessageBar</h4>
<pre>public&nbsp;OBMessageBar(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - JavaScript expression that can be evaluated to get a reference to the SmartClient GUI
          object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="assertVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertVisible</h4>
<pre>public&nbsp;void&nbsp;assertVisible()</pre>
<div class="block">Assert that the message bar is visible.</div>
</li>
</ul>
<a name="assertNotVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertNotVisible</h4>
<pre>public&nbsp;void&nbsp;assertNotVisible()</pre>
<div class="block">Assert that the message bar is not visible.</div>
</li>
</ul>
<a name="getContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContents</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getContents()</pre>
<div class="block">Get the contents of the message bar.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the contents of the message bar.</dd>
</dl>
</li>
</ul>
<a name="isErrorMessageVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isErrorMessageVisible</h4>
<pre>public&nbsp;boolean&nbsp;isErrorMessageVisible()</pre>
<div class="block">Check if the error message is visible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the error message is visible. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isWarningMessageVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWarningMessageVisible</h4>
<pre>public&nbsp;boolean&nbsp;isWarningMessageVisible()</pre>
<div class="block">Check if the warning message is visible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the warning message is visible. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="assertErrorMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertErrorMessage</h4>
<pre>public&nbsp;void&nbsp;assertErrorMessage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert an error message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - The expected body of the message displayed.</dd>
</dl>
</li>
</ul>
<a name="assertInfoMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertInfoMessage</h4>
<pre>public&nbsp;void&nbsp;assertInfoMessage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert an info message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - The expected body of the message displayed.</dd>
</dl>
</li>
</ul>
<a name="assertWarningMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertWarningMessage</h4>
<pre>public&nbsp;void&nbsp;assertWarningMessage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert a warning message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - The expected body of the message displayed.</dd>
</dl>
</li>
</ul>
<a name="assertProcessCompletedSuccessfully--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfully</h4>
<pre>public&nbsp;void&nbsp;assertProcessCompletedSuccessfully()</pre>
<div class="block">Assert the process completed successfully message.</div>
</li>
</ul>
<a name="assertProcessCompletedSuccessfully2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfully2</h4>
<pre>public&nbsp;void&nbsp;assertProcessCompletedSuccessfully2()</pre>
<div class="block">Assert the process completed successfully message.
 
 TODO see issue 17291 - https://issues.openbravo.com/view.php?id=17291.</div>
</li>
</ul>
<a name="assertProcessCompletedSuccessfully2-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfully2</h4>
<pre>public&nbsp;void&nbsp;assertProcessCompletedSuccessfully2(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert the process completed successfully message.
 
 TODO see issue 17291 - https://issues.openbravo.com/view.php?id=17291.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - The expected message body.</dd>
</dl>
</li>
</ul>
<a name="assertProcessCompletedSuccessfully-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfully</h4>
<pre>public&nbsp;void&nbsp;assertProcessCompletedSuccessfully(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert the process completed successfully message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - The expected message body.</dd>
</dl>
</li>
</ul>
<a name="assertProcessCompletedSuccessfullyContentMatch-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfullyContentMatch</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;assertProcessCompletedSuccessfullyContentMatch(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert the process completed successfully message, using regular expression to match the body.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - A regular expression for the expected message body.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A list with all the capturing groups of the regular expression.</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()</pre>
<div class="block">Close the message bar.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBParameterWindow.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html" target="_top">Frames</a></li>
<li><a href="OBMessageBar.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
